<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white">

    <!-- 用户 -->
    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:text="@string/profile_search_room"
        android:textColor="@color/color_FF1D2129"
        android:textSize="12sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/btn_more"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="@id/tv_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_title">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_more"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="start"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/common_more"
            android:textColor="@color/color_FF4E5969"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="12dp"
            android:layout_height="12dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_more"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_go_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier_bottom"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="bottom"
        app:constraint_referenced_ids="tv_title, btn_more" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_result"
        style="@style/CommonVerticalFade"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="9.5dp"
        app:layout_constraintTop_toBottomOf="@id/barrier_bottom"
        tools:listitem="@layout/layout_profile_search_room_item" />

    <com.adealink.weparty.commonui.widget.CommonEmptyErrorView
        android:id="@+id/v_error_view"
        android:layout_width="0dp"
        android:layout_height="200dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/barrier_bottom"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>